Loading...
Searching...
No Matches
RDKit::MolStandardize::RDKitValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::RDKitValidation:

## Public Member Functions

| RDKitValidation (bool allowEmptyMolecules=false)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Public Attributes

bool | allowEmptyMolecules

## Detailed Description

The RDKitValidation class throws an error when there are no atoms in the molecule or when there is incorrect atom valency.

Notes:

- RDKit automatically throws up atom valency issues but this class was made for completeness of the project.

Definition at line 81 of file Validate.h.

## Constructor & Destructor Documentation

## RDKitValidation()

RDKit::MolStandardize::RDKitValidation::RDKitValidation | ( | bool | allowEmptyMolecules = `false` | ) |

inline

Definition at line 83 of file Validate.h.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::RDKitValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 89 of file Validate.h.

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::RDKitValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

## Member Data Documentation

## allowEmptyMolecules

bool RDKit::MolStandardize::RDKitValidation::allowEmptyMolecules

Definition at line 93 of file Validate.h.

The documentation for this class was generated from the following file:

- Validate.h